Force delete the specific template using templateId
import requests
url = "https://{FUSION_HOST}/api/templating/templates/{id}/_force"
response = requests.delete(url)
print(response.text)HttpResponse<String> response = Unirest.delete("https://{FUSION_HOST}/api/templating/templates/{id}/_force")
.asString();const options = {method: 'DELETE'};
fetch('https://{FUSION_HOST}/api/templating/templates/{id}/_force', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/api/templating/templates/{id}/_force")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/api/templating/templates/{id}/_force"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/api/templating/templates/{id}/_force",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request DELETE \
--url https://{FUSION_HOST}/api/templating/templates/{id}/_forceThis response has no body data.This response has no body data.This response has no body data.Force delete the specific template using templateId
Deletes the specified template (using templateId) immediately, without marking it for deletion, and without any other side effects. This operation does not perform any additional logic such as removing a deleted zone from templates that contained it, or deleting orphaned zones.
CAUTION: Use this only for template deletion. Unexpected errors and behaviors may occur if used in other situations.
DELETE
/
templates
/
{id}
/
_force
Force delete the specific template using templateId
import requests
url = "https://{FUSION_HOST}/api/templating/templates/{id}/_force"
response = requests.delete(url)
print(response.text)HttpResponse<String> response = Unirest.delete("https://{FUSION_HOST}/api/templating/templates/{id}/_force")
.asString();const options = {method: 'DELETE'};
fetch('https://{FUSION_HOST}/api/templating/templates/{id}/_force', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}/api/templating/templates/{id}/_force")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}/api/templating/templates/{id}/_force"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/api/templating/templates/{id}/_force",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request DELETE \
--url https://{FUSION_HOST}/api/templating/templates/{id}/_forceThis response has no body data.This response has no body data.This response has no body data.Query Parameters
Response
No Content - This message is returned when the operation is successful, but there is no content to return.
Was this page helpful?